val pushCache: String by settings

pluginManagement {
    repositories {
        maven { url = uri("https://nexus.amine-louveau.fr/repository/maven-public/")}
        // IMPORTANT : Add back when new plugin added
        // google()
        // gradlePluginPortal()
        // mavenCentral()
    }
}

dependencyResolutionManagement {
    repositories {
        maven { url = uri("https://nexus.amine-louveau.fr/repository/maven-public/")}
        // IMPORTANT : Add back when new library added
        // google()
        // mavenCentral()
    }
}


buildCache {
    remote<HttpBuildCache> {
        url = uri("http://18.0.0.7:3071/cache/")
        isAllowInsecureProtocol = true
        isAllowUntrustedServer = true
        isUseExpectContinue = true
        isPush = (pushCache == "true")
    }
}

rootProject.name = "ReaderForSelfossV2"
include(":androidApp")
include(":shared")